# $Revision: 1.28 $, $Date: 2002/09/07 10:10:31 $
Summary:	mpack and munpack MIME e-mail utilities
Summary(pl):	mpack i munpack - narzdzia MIME do poczty elektronicznej
Name:		mpack
Version:	1.5
Release:	9
License:	distributable
Group:		Applications/Mail
Source0:	ftp://ftp.andrew.cmu.edu/pub/mpack/%{name}-%{version}-src.tar.Z
Patch0:		%{name}-tmp.patch
Patch1:		%{name}-MIME_buffer_overflows.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mpack and munpack are utilities for encoding and decoding
(respectively) binary files in MIME (Multipurpose Internet Mail
Extensions) format mail messages. For compatibility with older forms
of transferring binary files, the munpack program can also decode
messages in split-uuencoded format. The Macintosh version can also
decode messages in split-BinHex format. Using mpack you can easily
send files via mail.

%description -l pl
Programy mpack i munpack su do kodowania i dekodowania
(rekursywnie) plikw binarnych w formacie MIME (Multipurpose Internet
Mail Extensions) poczty elektronicznej. Dla zachowania kompatybilnoci
program munpack take potrafi dekodowa listy w formacie
split-uuencoded. Za pomoc programu mpack mona atwo (z linii
polece) wysya pliki poczt.

%prep
%setup -q -n mpack
%patch0 -p1
%patch1 -p1

%build
%{__make} CC="%{__cc}" OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install mpack munpack $RPM_BUILD_ROOT%{_bindir}
install unixpk.man $RPM_BUILD_ROOT%{_mandir}/man1/mpack.1
install unixunpk.man $RPM_BUILD_ROOT%{_mandir}/man1/munpack.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.unix
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mpack.spec,v $
Revision 1.28  2002/09/07 10:10:31  dzimi
- rel 9
- security fix: buffer overflow in parsing of MIME headers.
- do not accept disposition filenames like "../a".
  Security impact is limited because only a single leading "../"
  was accepted.  (reported by Herbert Xu from debian)
- Only declare "extern int errno" if errno is not a macro.
- Made /var/tmp the default temp directory for mpack, just like
  it is for munpack.  It used to be /tmp.  Also fixed the mpack
  manpage, which used to say /usr/tmp.  Spotted by Alex King.

Revision 1.27  2002/08/16 13:33:22  kloczek
- release 8.

Revision 1.26  2002/08/16 11:59:27  blues
- new doc

Revision 1.25  2002/02/23 03:54:21  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.21  2001/04/30 16:05:21  kloczek
- added using %%{rpmcflags} macro.

Revision 1.20  2001/03/24 22:03:23  kloczek
- release 7.

Revision 1.19  2001/03/24 16:58:33  klakier
- description enhanced

Revision 1.18  2001/01/25 20:03:25  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.17  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.16  2000/10/11 19:16:35  kloczek
- release 6: use new rpm automation.

Revision 1.15  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.13  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.11  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Sep 27 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.5-4]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- fiew simplification in %build, %istall and %files,
- added full %attr description in %files.

* Tue Apr 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Build for RH5

* Sun Mar 22 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Build Root'ed
- Moved to %{_bindir}
- Added %attr in %install
- Added %clean
